<?
if ($vote){
if ($vote=="1"){
$sk=split("\|",$player["skills"]);
if ($sk[28]<6) msg("Вы должны иметь минимум 6 уровень");
if (!file_exists("data/votes.dat")) msg("Нет текущих голосований");
$grad.="<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>";
$vot = implode("",file("data/votes.dat"));
$vot = unserialize($vot);
$grad.="<form action=\"$PHP_SELF?sid=$sid&vote=vote\" method=\"post\">";
$grad.="<span style=\"color:red\"><strong>Голосования</strong></span>";
$grad.="<br/>".$vot["vopros"]."";
if (!$vot["c1"]) $vot["c1"]=0;
if (!$vot["c2"]) $vot["c2"]=0;
if (!$vot["c3"]) $vot["c3"]=0;
if (!$vot["c4"]) $vot["c4"]=0;
if (!$vot["c5"]) $vot["c5"]=0;
$grad.="<br/><input type=\"radio\" name=\"anser\" value=\"1\" checked=\"checked\">".$vot["q1"]."";
 $grad.=" (".$vot["c1"].")";
$grad.="<br/><input type=\"radio\" name=\"anser\" value=\"2\">".$vot["q2"]."";
 $grad.=" (".$vot["c2"].")";
if ($vot["q3"]){ $grad.="<br/><input type=\"radio\" name=\"anser\" value=\"3\">".$vot["q3"]."";
 $grad.=" (".$vot["c3"].")";}
if ($vot["q4"]){ $grad.="<br/><input type=\"radio\" name=\"anser\" value=\"4\">".$vot["q4"]."";
 $grad.=" (".$vot["c4"].")";}
if ($vot["q5"]){ $grad.="<br/><input type=\"radio\" name=\"anser\" value=\"5\">".$vot["q5"]."";
 $grad.=" (".$vot["c5"].")";}
$grad.="<br/>
<input type=\"submit\" value=\"проголосовать\"></form>";
$grad.="<br/>==========<br/><strong>Разместил</strong>: ".$vot["admin"]."";
msg($grad,"Просмотр",0,'none');
}
if ($vote=="vote"){
$sk=split("\|",$player["skills"]);
if ($sk[28]<6) msg("Вы должны иметь минимум 6 уровень");
$vot = implode("",file("data/votes.dat"));
$vot = unserialize($vot);
if ($anser=="1"){
$vot["c1"]+=1;
}
if ($anser=="2"){
$vot["c2"]+=1;
}
if ($anser=="3"){
$vot["c3"]+=1;
}
if ($anser=="4"){
$vot["c4"]+=1;
}
if ($anser=="5"){
$vot["c5"]+=1;
}
if($vot["g"]==$login) msg("Вы уже голосовали!");
$vot["g"]=$login;
$grad.="Вы успешно проголосовали!
<br/><a href=\"$PHP_SELF?sid=$sid\">в игру</a>";
$file1 = fopen ("data/votes.dat", "w+");
fputs($file1,serialize($vot));
fclose ($file1);
msg($grad,"Просмотр",0,'none');
}
}
?>


